local self_ID  = "F-22 by Cy-47"    

declare_plugin(self_ID,
{
installed 	 = true,  
dirName	  	 = current_mod_path,
version		 = "1.5.5",            
state		 = "installed",
info		 = _("F-22"),

InputProfiles =
	{
		["F-22"]     = current_mod_path .. '/Input/F-22',
},
Skins	=
	{
		{
			name	= _("F-22"),
			dir		= "Theme"
		},
	},
Missions =
	{
		{
			name		= _("F-22"),
			dir			= "Missions",
		},
	},
LogBook =
	{
		{
			name		= _("F-22"),
			type		= "F-22",
		},
	},
mount_vfs_texture_path (current_mod_path.."/Skins/1/ME")
})
--------------------------------------------------------------------------------
mount_vfs_texture_path (current_mod_path.."/Cockpit/Resources/Model/Textures/F-22-CPT-TEXTURES")       
mount_vfs_model_path   (current_mod_path.."/Cockpit/Resources/Model/Shape")  

local cfg_path = current_mod_path ..  "/FM/F15/config.lua"
dofile(cfg_path)
F15FM[1] 				= self_ID
F15FM[2] 				= 'F15'
F15FM.config_path 		= cfg_path
F15FM.old 				= 6  --  do isch es             
 
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/F-22.lua")
dofile(current_mod_path.."/smoke.lua")
make_view_settings('F-22', ViewSettings, SnapViews)
---------------------------------------------------------------------------------------
--make_flyable("F-22",     current_mod_path..'/Cockpit/KneeboardRight/', {nil, old = 3}, current_mod_path..'/comm.lua')
--make_flyable("F-22",     current_mod_path..'/Cockpit/KneeboardRight/', {nil, old = 54}, current_mod_path..'/comm.lua')
make_flyable('F-22', 'Mods/aircrafts/Flaming Cliffs/Cockpit/KneeboardRight/', {'F-22', nil, old = 6}, current_mod_path..'/comm.lua')
plugin_done()
